Name:		daemonize
Version:	1.7.8
Release:	%mkrel 3
Summary:	Run a command as a Unix daemon
Group:		System/Servers
License:	BSD
URL:		http://software.clapper.org/daemonize/
Source0:	https://github.com/bmc/daemonize/archive/release-%{version}/%{name}-release-%{version}.tar.gz


%description
daemonize runs a command as a Unix daemon. As defined in W. Richard Stevens'
1990 book, Unix Network Programming (Addison-Wesley, 1990), a daemon is "a
process that executes 'in the background' (i.e., without an associated
terminal or login shell) either waiting for some event to occur, or waiting
to perform some specified task on a periodic basis." Upon startup, a typical
daemon program will:

- Close all open file descriptors (especially standard input, standard output
  and standard error)
- Change its working directory to the root filesystem, to ensure that it
  doesn’t tie up another filesystem and prevent it from being unmounted
- Reset its umask value
- Run in the background (i.e., fork)
- Disassociate from its process group (usually a shell), to insulate itself
  from signals (such as HUP) sent to the process group
- Ignore all terminal I/O signals
- Disassociate from the control terminal (and take steps not to reacquire one)
- Handle any SIGCLD signals

Most programs that are designed to be run as daemons do that work for
themselves. However, you’ll occasionally run across one that does not.
When you must run a daemon program that does not properly make itself into a
true Unix daemon, you can use daemonize to force it to run as a true daemon.

%prep
%setup -q -n %{name}-release-%{version}

%build
%configure
%make_build

%install
%make_install


%files
%doc CHANGELOG.md LICENSE.md README.md
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1.xz


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.7.8-3.mga8
+ Revision: 1511809
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.7.8-2.mga7
+ Revision: 1297396
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 kekepower <kekepower> 1.7.8-1.mga7
+ Revision: 1211934
- Update to version 1.7.8
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 daviddavid <daviddavid> 1.7.7-1.mga6
+ Revision: 909635
- new version: 1.7.7

* Wed Nov 25 2015 daviddavid <daviddavid> 1.7.6-2.mga6
+ Revision: 905929
- update URL
- use %%configure2_5x macro

* Wed Nov 25 2015 daviddavid <daviddavid> 1.7.6-1.mga6
+ Revision: 905924
- new version: 1.7.6
- add a Source github URL

* Wed Oct 15 2014 umeabot <umeabot> 1.7.5-3.mga5
+ Revision: 738825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.5-2.mga5
+ Revision: 678665
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 juancho <juancho> 1.7.5-1.mga5
+ Revision: 670306
- Updated to version 1.7.5
- Updated to version 1.7.5

* Mon Jul 07 2014 juancho <juancho> 1.7.3-1.mga5
+ Revision: 650354
- imported package daemonize


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 02 2011 Sven Lankes <sven@lank.es> - 1.7.3-1
- update to latest upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Gary T. Giesen <giesen@snickers.org> 1.5.6-1
- New upstream version, incorporates previous Makefile patch

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-5
- Changed spec file to preserve timestamp on files for make install

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-4
- Fixed missed line in patch for compiler flags

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-3
- Further spec file cleanup
- New Makefile patch to make build respect compiler flags and
  install man pages

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-2
- Spec file cleanup for consistency with Fedora Packaging Guidelines
- Added install for man pages (it's not installed by 'make install')

* Sat Jul 04 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-1
- Initial Spec file creation for Fedora
